What's so good about having Firmware 3.3u?

Discussion in 'Wii - Hacking' started by Link5084, Apr 26, 2009.

  1. Link5084
    OP

    Link5084 Sword & Shield at your service

    Member
    1,367
    3
    Aug 6, 2008
    United States
    I've heard a lot of people downgrading to 3.3 from 3.4 and even 4.0. What makes 3.3 so good?
     
  2. Lexip;

    Lexip; GBAtemp Fan

    Member
    413
    0
    Apr 8, 2009
    United States
    Actually 3.2

    Twilight Hack no longer works on 4.0. No DVDx installer for 4.0.
    Starfall only works on 3.2, I believe preloader is only for 3.2 and 4.0
     
  3. Link5084
    OP

    Link5084 Sword & Shield at your service

    Member
    1,367
    3
    Aug 6, 2008
    United States
    Oh, I see. What else is only for 3.2?
     
  4. FenrirWolf

    FenrirWolf GBAtemp Psycho!

    Member
    4,346
    326
    Nov 19, 2008
    United States
    Sandy, UT
    Before Preloader came alomg there was the 3.2 exclusive Starfall as well. But the biggest reason is that 3.2 has the trucha bug in all IOS versions by default.
     
  5. Link5084
    OP

    Link5084 Sword & Shield at your service

    Member
    1,367
    3
    Aug 6, 2008
    United States
    What exactly is the trucha bug and what's so good about it?

    If I install Starfall in 3.2, would it be kept if I updated? How does it compare with Preloader? Is it better than Preloader?
     
  6. FenrirWolf

    FenrirWolf GBAtemp Psycho!

    Member
    4,346
    326
    Nov 19, 2008
    United States
    Sandy, UT
    Starfall doesn't offer as good of protection as Preloader, actually. And the Trucha bug, also known as the fakesigning bug, is what allows the Wii to install and use unofficial content like custom channels, custom IOS files (or older versions of official IOS files), modified game discs, and so forth.
     
  7. Link5084
    OP

    Link5084 Sword & Shield at your service

    Member
    1,367
    3
    Aug 6, 2008
    United States
    So what you mean is that I can play Brawl+ only on 3.2? All that stuff you mentioned can't be used on 3.3 or higher? Preloader works with 3.2 also right? What does Starfall have that Preloader doesnt have?
     
  8. JumpMan3

    JumpMan3 GBAtemp Regular

    Member
    114
    0
    Aug 13, 2008
    United States
    brawl+ works on any firmware, as long as you have HBC, and geck os
     
  9. Link5084
    OP

    Link5084 Sword & Shield at your service

    Member
    1,367
    3
    Aug 6, 2008
    United States
    So, what kind of custom channels and modified discs only work with 3.2?
     
  10. Sportsmaniac1322

    Sportsmaniac1322 GBAtemp Maniac

    Member
    1,183
    0
    Jun 26, 2008
    United States
    Forman's Basement
    Modified guitar hero and rock band discs need the trucha bug in order to play, but if you use Waninkoko's 4.0 upgrader the trucha bug is preserved. There's really no reason why you shouldn't be on the 4.0 firmware.
     
  11. wiiman123

    wiiman123 GBAtemp Advanced Fan

    Member
    938
    0
    Apr 5, 2009
    New Zealand
  12. Edgedancer

    Edgedancer Director of Moon based operations

    Member
    2,642
    37
    Oct 2, 2006
    Canberra
    Booting the game through geekoOS also allows the trucha titles to be played.